function clock()
{
    var now = new Date();
    var year = now.getFullYear(); //getFullYear getYear
    var month = now.getMonth();
    var date = now.getDate();
    var day = now.getDay();
    var hour = now.getHours();
    var minu = now.getMinutes();
    var sec = now.getSeconds();
    var week;
    

    
    if(hour<10)hour="0"+hour;
    if(minu<10)minu="0"+minu;
    if (sec < 10) sec = "0" + sec;

    var arr_week = new Array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
   // var arr_week = new Array("周日", "周一", "周二", "周三", "周四", "周五", "周六");
    week = arr_week[day];

     var arr_month = new Array("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec");
     // arr_month = new Array("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sept", "Oct", "Nov", "Dec");
   month = arr_month[month];
    var time = "";
 
    time = hour + ":" + minu + " <span class=day> " + week + ", " + month + " " + date + "</span>";
 
    document.getElementById("bgclock").innerHTML=""+time+"";
    setTimeout("clock()",1000);            
}
 
